# Class ScalaCompileOptions

java.lang.Object
org.gradle.api.tasks.compile.AbstractOptions
org.gradle.language.scala.tasks.BaseScalaCompileOptions
org.gradle.api.tasks.scala.ScalaCompileOptions

All Implemented Interfaces:
  `Serializable`

public class ScalaCompileOptions extends BaseScalaCompileOptions
Options for Scala Compilation.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScalaCompileOptions()`

## Method Summary

### Methods inherited from class BaseScalaCompileOptions

`getAdditionalParameters, getDebugLevel, getEncoding, getForkOptions, getIncrementalOptions, getLoggingLevel, getLoggingPhases, isDeprecation, isFailOnError, isForce, isListFiles, isOptimize, isUnchecked, setAdditionalParameters, setDebugLevel, setDeprecation, setEncoding, setFailOnError, setForce, setForkOptions, setIncrementalOptions, setListFiles, setLoggingLevel, setLoggingPhases, setOptimize, setUnchecked`

### Methods inherited from class AbstractOptions

`define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScalaCompileOptions

public ScalaCompileOptions()